Bug 757570 - gdm does not work after an upgrade to F16 ( RV280 [Radeon 9200 PRO] graphics)
Summary: gdm does not work after an upgrade to F16 ( RV280 [Radeon 9200 PRO] graphics)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-27 21:14 UTC by Michal Jaegermann
Modified: 2013-02-13 21:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 21:53:32 UTC


Attachments (Terms of Use)
Xorg.0.log from a failed attempt to bring up gdm (42.01 KB, text/plain)
2011-11-27 21:20 UTC, Michal Jaegermann
no flags Details
Xorg.0.log with gdm-3.2.1.1-8.fc16 (54.28 KB, text/plain)
2011-12-15 01:30 UTC, Michal Jaegermann
no flags Details
Xorg.0.log with gdm-2.20.11 (35.89 KB, text/plain)
2011-12-15 01:33 UTC, Michal Jaegermann
no flags Details

Description Michal Jaegermann 2011-11-27 21:14:30 UTC
Description of problem:

Just to make sure - this is NOT bug 753149 as no caribou packages, of any kind, are installed.

After an upgrade of a working system to Fedora 16 the following happens:
 - plymouth starts a graphical display during a startup and goes for a while
 - at some moment screen goes totally black and stays like that for a considerable period of time
 - SE corner of "busy" indicator shows up in a upper left corner of a black screen; it stays there for a moment and the whole thing crashes
 - this "try and crash" cycle is repeated six or seven times (different number on different tries)
 - failing gdm gives up and not much can be done
 - in log files the following appears:

[   45.218437] gnome-session[1555] trap int3 ip:7ffe00d2d2c3 sp:7fffc2e79810 error:0
[   46.277087] gnome-session[1588] trap int3 ip:7fed175a72c3 sp:7fff2e2ae3f0 error:0
[   47.289778] gnome-session[1621] trap int3 ip:7ffad09442c3 sp:7fff00a821a0 error:0
[   48.308060] gnome-session[1654] trap int3 ip:7f8fe22812c3 sp:7fff64940ee0 error:0
[   49.324129] gnome-session[1687] trap int3 ip:7f7ee5d912c3 sp:7fff77954970 error:0
[   50.324058] gnome-session[1720] trap int3 ip:7f0ca6f292c3 sp:7fff16f1a310 error:0
[   51.317747] gnome-session[1753] trap int3 ip:7f1d310f12c3 sp:7fffedc5a450 error:0

 - abrtd.service is running but it does not register anything at all.

X server is functional because after booting to level 3 one can do 'startx' and to get an expected picture.  Also replacing broken gdm-3.2.1.1-8.fc16.x86_64
with gdm-2.20.11-2 (recompiled for F16) brings up an expected login screen, even if plymouth still screws up, and one can login on a desktop.

Version-Release number of selected component (if applicable):
gdm-3.2.1.1-8.fc16.x86_64

How reproducible:
always

Expected results:
gdm which displays at least something

Additional info:
Running on the same hardware Fedora 15 installation with gdm-3.0.4-1.fc15.x86_64 brings up a login screen too.

Comment 1 Michal Jaegermann 2011-11-27 21:20:47 UTC
Created attachment 537254 [details]
Xorg.0.log from a failed attempt to bring up gdm

On every try with gdm-3.2.1.1-8.fc16 I collect more of these like Xorg.1.log, Xorg.2.log .... and up to Xorg.6.log but they all really look the same.

Oh, and passing as a boot argument rd_NO_PLYMOUTH prevents plymouth from misbehaving but does not change at all what gdm is doing.

Comment 2 Michal Jaegermann 2011-12-15 01:27:02 UTC
With various updates (in particular kernel-3.1.5-1.fc16.x86_64 and newer  xorg-x11-drv-ati) but the same gdm-3.2.1.1-8.fc16 and the same xorg-x11-server-Xorg-1.11.2-3.fc16 gdm at least bothers to start.

There is the same quarter of a "busy" indicator in the upper left hand corner and modelines are probed and printed _six_ times but eventually a login screen appears.  This is how this looks in logs:
# grep gathered /var/log/Xorg.0.log
[    41.083] (II) RADEON(0): Printing DDC gathered Modelines:
[    49.161] (II) RADEON(0): Printing DDC gathered Modelines:
[    49.248] (II) RADEON(0): Printing DDC gathered Modelines:
[    49.319] (II) RADEON(0): Printing DDC gathered Modelines:
[    49.405] (II) RADEON(0): Printing DDC gathered Modelines:
[    49.474] (II) RADEON(0): Printing DDC gathered Modelines:

None of that in logs when using old gdm-2.20.11 and a login screen appears quite faster

Comment 3 Michal Jaegermann 2011-12-15 01:30:22 UTC
Created attachment 547017 [details]
Xorg.0.log with gdm-3.2.1.1-8.fc16

This is in the current configuration after assorted updates.

Comment 4 Michal Jaegermann 2011-12-15 01:33:07 UTC
Created attachment 547022 [details]
Xorg.0.log with gdm-2.20.11

This is for comparison.  The same hardware/software as the above with gdm replaced and only pulseaudio-gdm-hooks removed due to dependencies.

Comment 5 Fedora End Of Life 2013-01-16 17:19:54 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Fedora End Of Life 2013-02-13 21:53:35 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.